/**
 * The contents of this file are subject to the license and copyright
 * detailed in the LICENSE and NOTICE files at the root of the source
 * tree and available online at
 *
 * http://www.dspace.org/license/
 */

package org.dspace.submit.extraction.grobid;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the org.dspace.submit.extraction.grobid package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org
     * .dspace.submit.extraction.grobid
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link P }
     */
    public P createP() {
        return new P();
    }

    /**
     * Create an instance of {@link TeiMacroParaContent }
     */
    public TeiMacroParaContent createTeiMacroParaContent() {
        return new TeiMacroParaContent();
    }

    /**
     * Create an instance of {@link Hi }
     */
    public Hi createHi() {
        return new Hi();
    }

    /**
     * Create an instance of {@link Term }
     */
    public Term createTerm() {
        return new Term();
    }

    /**
     * Create an instance of {@link TeiMacroPhraseSeq }
     */
    public TeiMacroPhraseSeq createTeiMacroPhraseSeq() {
        return new TeiMacroPhraseSeq();
    }

    /**
     * Create an instance of {@link Title }
     */
    public Title createTitle() {
        return new Title();
    }

    /**
     * Create an instance of {@link Graphic }
     */
    public Graphic createGraphic() {
        return new Graphic();
    }

    /**
     * Create an instance of {@link Formula }
     */
    public Formula createFormula() {
        return new Formula();
    }

    /**
     * Create an instance of {@link Ptr }
     */
    public Ptr createPtr() {
        return new Ptr();
    }

    /**
     * Create an instance of {@link Ref }
     */
    public Ref createRef() {
        return new Ref();
    }

    /**
     * Create an instance of {@link Date }
     */
    public Date createDate() {
        return new Date();
    }

    /**
     * Create an instance of {@link Email }
     */
    public Email createEmail() {
        return new Email();
    }

    /**
     * Create an instance of {@link Address }
     */
    public Address createAddress() {
        return new Address();
    }

    /**
     * Create an instance of {@link Link }
     */
    public Link createLink() {
        return new Link();
    }

    /**
     * Create an instance of {@link Anchor }
     */
    public Anchor createAnchor() {
        return new Anchor();
    }

    /**
     * Create an instance of {@link Note }
     */
    public Note createNote() {
        return new Note();
    }

    /**
     * Create an instance of {@link TeiMacroSpecialPara }
     */
    public TeiMacroSpecialPara createTeiMacroSpecialPara() {
        return new TeiMacroSpecialPara();
    }

    /**
     * Create an instance of {@link Affiliation }
     */
    public Affiliation createAffiliation() {
        return new Affiliation();
    }

    /**
     * Create an instance of {@link Name }
     */
    public Name createName() {
        return new Name();
    }

    /**
     * Create an instance of {@link OrgName }
     */
    public OrgName createOrgName() {
        return new OrgName();
    }

    /**
     * Create an instance of {@link PersName }
     */
    public PersName createPersName() {
        return new PersName();
    }

    /**
     * Create an instance of {@link Country }
     */
    public Country createCountry() {
        return new Country();
    }

    /**
     * Create an instance of {@link Region }
     */
    public Region createRegion() {
        return new Region();
    }

    /**
     * Create an instance of {@link Settlement }
     */
    public Settlement createSettlement() {
        return new Settlement();
    }

    /**
     * Create an instance of {@link Idno }
     */
    public Idno createIdno() {
        return new Idno();
    }

    /**
     * Create an instance of {@link Surname }
     */
    public Surname createSurname() {
        return new Surname();
    }

    /**
     * Create an instance of {@link Forename }
     */
    public Forename createForename() {
        return new Forename();
    }

    /**
     * Create an instance of {@link RoleName }
     */
    public RoleName createRoleName() {
        return new RoleName();
    }

    /**
     * Create an instance of {@link Bibl }
     */
    public Bibl createBibl() {
        return new Bibl();
    }

    /**
     * Create an instance of {@link Author }
     */
    public Author createAuthor() {
        return new Author();
    }

    /**
     * Create an instance of {@link Editor }
     */
    public Editor createEditor() {
        return new Editor();
    }

    /**
     * Create an instance of {@link Meeting }
     */
    public Meeting createMeeting() {
        return new Meeting();
    }

    /**
     * Create an instance of {@link TeiMacroLimitedContent }
     */
    public TeiMacroLimitedContent createTeiMacroLimitedContent() {
        return new TeiMacroLimitedContent();
    }

    /**
     * Create an instance of {@link BiblStruct }
     */
    public BiblStruct createBiblStruct() {
        return new BiblStruct();
    }

    /**
     * Create an instance of {@link Analytic }
     */
    public Analytic createAnalytic() {
        return new Analytic();
    }

    /**
     * Create an instance of {@link Availability }
     */
    public Availability createAvailability() {
        return new Availability();
    }

    /**
     * Create an instance of {@link Licence }
     */
    public Licence createLicence() {
        return new Licence();
    }

    /**
     * Create an instance of {@link Trash }
     */
    public Trash createTrash() {
        return new Trash();
    }

    /**
     * Create an instance of {@link Monogr }
     */
    public Monogr createMonogr() {
        return new Monogr();
    }

    /**
     * Create an instance of {@link Imprint }
     */
    public Imprint createImprint() {
        return new Imprint();
    }

    /**
     * Create an instance of {@link BiblScope }
     */
    public BiblScope createBiblScope() {
        return new BiblScope();
    }

    /**
     * Create an instance of {@link PubPlace }
     */
    public PubPlace createPubPlace() {
        return new PubPlace();
    }

    /**
     * Create an instance of {@link Publisher }
     */
    public Publisher createPublisher() {
        return new Publisher();
    }

    /**
     * Create an instance of {@link Edition }
     */
    public Edition createEdition() {
        return new Edition();
    }

    /**
     * Create an instance of {@link Series }
     */
    public Series createSeries() {
        return new Series();
    }

    /**
     * Create an instance of {@link Figure }
     */
    public Figure createFigure() {
        return new Figure();
    }

    /**
     * Create an instance of {@link Head }
     */
    public Head createHead() {
        return new Head();
    }

    /**
     * Create an instance of {@link ListBibl }
     */
    public ListBibl createListBibl() {
        return new ListBibl();
    }

    /**
     * Create an instance of {@link Label }
     */
    public Label createLabel() {
        return new Label();
    }

    /**
     * Create an instance of {@link List }
     */
    public List createList() {
        return new List();
    }

    /**
     * Create an instance of {@link Item }
     */
    public Item createItem() {
        return new Item();
    }

    /**
     * Create an instance of {@link Table }
     */
    public Table createTable() {
        return new Table();
    }

    /**
     * Create an instance of {@link FigDesc }
     */
    public FigDesc createFigDesc() {
        return new FigDesc();
    }

    /**
     * Create an instance of {@link AddrLine }
     */
    public AddrLine createAddrLine() {
        return new AddrLine();
    }

    /**
     * Create an instance of {@link Street }
     */
    public Street createStreet() {
        return new Street();
    }

    /**
     * Create an instance of {@link PostCode }
     */
    public PostCode createPostCode() {
        return new PostCode();
    }

    /**
     * Create an instance of {@link PostBox }
     */
    public PostBox createPostBox() {
        return new PostBox();
    }

    /**
     * Create an instance of {@link TeiHeader }
     */
    public TeiHeader createTeiHeader() {
        return new TeiHeader();
    }

    /**
     * Create an instance of {@link FileDesc }
     */
    public FileDesc createFileDesc() {
        return new FileDesc();
    }

    /**
     * Create an instance of {@link TitleStmt }
     */
    public TitleStmt createTitleStmt() {
        return new TitleStmt();
    }

    /**
     * Create an instance of {@link EditionStmt }
     */
    public EditionStmt createEditionStmt() {
        return new EditionStmt();
    }

    /**
     * Create an instance of {@link PublicationStmt }
     */
    public PublicationStmt createPublicationStmt() {
        return new PublicationStmt();
    }

    /**
     * Create an instance of {@link SeriesStmt }
     */
    public SeriesStmt createSeriesStmt() {
        return new SeriesStmt();
    }

    /**
     * Create an instance of {@link NotesStmt }
     */
    public NotesStmt createNotesStmt() {
        return new NotesStmt();
    }

    /**
     * Create an instance of {@link SourceDesc }
     */
    public SourceDesc createSourceDesc() {
        return new SourceDesc();
    }

    /**
     * Create an instance of {@link ProfileDesc }
     */
    public ProfileDesc createProfileDesc() {
        return new ProfileDesc();
    }

    /**
     * Create an instance of {@link Abstract }
     */
    public Abstract createAbstract() {
        return new Abstract();
    }

    /**
     * Create an instance of {@link TextClass }
     */
    public TextClass createTextClass() {
        return new TextClass();
    }

    /**
     * Create an instance of {@link ClassCode }
     */
    public ClassCode createClassCode() {
        return new ClassCode();
    }

    /**
     * Create an instance of {@link TeiMacroPhraseSeqLimited }
     */
    public TeiMacroPhraseSeqLimited createTeiMacroPhraseSeqLimited() {
        return new TeiMacroPhraseSeqLimited();
    }

    /**
     * Create an instance of {@link Keywords }
     */
    public Keywords createKeywords() {
        return new Keywords();
    }

    /**
     * Create an instance of {@link CorrespDesc }
     */
    public CorrespDesc createCorrespDesc() {
        return new CorrespDesc();
    }

    /**
     * Create an instance of {@link CorrespAction }
     */
    public CorrespAction createCorrespAction() {
        return new CorrespAction();
    }

    /**
     * Create an instance of {@link CorrespContext }
     */
    public CorrespContext createCorrespContext() {
        return new CorrespContext();
    }

    /**
     * Create an instance of {@link XenoData }
     */
    public XenoData createXenoData() {
        return new XenoData();
    }

    /**
     * Create an instance of {@link TEI }
     */
    public TEI createTEI() {
        return new TEI();
    }

    /**
     * Create an instance of {@link Text }
     */
    public Text createText() {
        return new Text();
    }

    /**
     * Create an instance of {@link Front }
     */
    public Front createFront() {
        return new Front();
    }

    /**
     * Create an instance of {@link Div }
     */
    public Div createDiv() {
        return new Div();
    }

    /**
     * Create an instance of {@link Body }
     */
    public Body createBody() {
        return new Body();
    }

    /**
     * Create an instance of {@link Back }
     */
    public Back createBack() {
        return new Back();
    }

    /**
     * Create an instance of {@link Org }
     */
    public Org createOrg() {
        return new Org();
    }

    /**
     * Create an instance of {@link Cell }
     */
    public Cell createCell() {
        return new Cell();
    }

}
