/**
 * The contents of this file are subject to the license and copyright
 * detailed in the LICENSE and NOTICE files at the root of the source
 * tree and available online at
 *
 * http://www.dspace.org/license/
 */
package org.dspace.app.rest.model.hateoas;

import org.dspace.app.rest.model.WorkflowOwnerStatisticsRest;
import org.dspace.app.rest.model.hateoas.annotations.RelNameDSpaceResource;
import org.dspace.app.rest.utils.Utils;

/**
 * WorkflowOwner statistics HAL Resource. The HAL Resource wraps the REST Resource
 * adding support for the links and embedded resources.
 *
 * @author Luca Giamminonni (luca.giamminonni at 4science.it)
 *
 */
@RelNameDSpaceResource(WorkflowOwnerStatisticsRest.NAME)
public class WorkflowOwnerStatisticsResource extends DSpaceResource<WorkflowOwnerStatisticsRest> {

    public WorkflowOwnerStatisticsResource(WorkflowOwnerStatisticsRest item, Utils utils) {
        super(item, utils);
    }

}
