## Instalación y Configuración de Dataverse

### Creación de red para comunicación entre componentes

---
docker network create traefik
___


### Despliegue de la plataforma
---
cd dataverse-docker

sudo docker-compose -f docker-compose-ssl.yml up -d
___

### Limpiar despliegue

---
sudo docker stop dataverse

sudo docker stop vanilla-minio-1

sudo docker stop solr

sudo docker stop postgres

sudo docker rm dataverse

sudo docker rm vanilla-minio-1

sudo docker rm solr

sudo docker rm postgres

sudo docker rmi $(sudo docker images -a -q)
___


## Configuración de SSL con certbot y nginx

Se debe recordar que los sertificados a crear son de *Let's Encrypt* y tienen una duración de 3 meses, si quiere prolongar su duración debe automatizar o realizar manaulmente el proceso de volver a crear o validar el certificado

### Crear archivo de configuración

ingresar a la carpeta /etc/nginx/sites-available y modificar el archivo *default*, este debe quedar con la siguiente estructura. Cabe notar que se estan haciendo las redirecciones al puerto 8080 y al 4000

---
server{

        listen 80 default_server;
        listen [::]:80 default_server;

        server_name dataverse.dev-ua.cl;

        location / {
                # First attempt to serve request as file, then
                # as directory, then fall back to displaying a 404.
                #try_files $uri $uri/ =404;
                proxy_set_header X-Forwarded-Proto https;
                proxy_set_header X-Forwarded-Host $host;
                proxy_pass http://localhost:8080/;

        }

}
___


### Correr comando para crear certificados

Al ejecutar el comando de certbot reconoce la ruta *dataverse.dev-ua.cl* especificada en el archivo *default*

---
sudo service nginx stop

sudo certbot --nginx -d dataverse.dev-ua.cl

sudo service nginx restart
___

