-- create the workflow tables
CREATE TABLE WORKFLOW (ID  SERIAL NOT NULL, NAME VARCHAR(255), PRIMARY KEY (ID));
CREATE TABLE PENDINGWORKFLOWINVOCATION (INVOCATIONID VARCHAR(255) NOT NULL, DOIPROVIDER VARCHAR(255), IPADDRESS VARCHAR(255), NEXTMINORVERSIONNUMBER BIGINT, NEXTVERSIONNUMBER BIGINT, PENDINGSTEPIDX INTEGER, TYPEORDINAL INTEGER, USERID VARCHAR(255), WORKFLOW_ID BIGINT, DATASET_ID BIGINT, PRIMARY KEY (INVOCATIONID));

CREATE INDEX INDEX_DATASETLOCK_user_id ON DATASETLOCK (user_id);
CREATE INDEX INDEX_DATASETLOCK_dataset_id ON DATASETLOCK (dataset_id);

-- Alter Dataset lock
ALTER TABLE DATASETLOCK ADD CONSTRAINT FK_DATASETLOCK_DATASET_ID FOREIGN KEY (DATASET_ID) REFERENCES DVOBJECT (ID);
ALTER TABLE DATASETLOCK ADD CONSTRAINT FK_DATASETLOCK_USER_ID FOREIGN KEY (USER_ID) REFERENCES AUTHENTICATEDUSER (ID);
ALTER TABLE DATASETLOCK ADD COLUMN REASON VARCHAR(255);

-- All existing dataset locks are due to ingest.
UPDATE DATASETLOCK set REASON='Ingest';

-- /!\ Important!
-- change "1" to the an admin user id.
--
INSERT INTO datasetlock (info, starttime, dataset_id, user_id, reason)
SELECT '', localtimestamp, dataset_id, 1, 'InReview'
FROM datasetversion
WHERE inreview=true;

ALTER TABLE DATASETVERSION DROP COLUMN inreview;
